Facebook Google Plus Twitter LinkedIn YouTube RSS Menu Search Resource - BlogResource - WebinarResource - ReportResource - Eventicons_066 icons_067icons_068icons_069icons_070

OpenSSH Client < 2.3.0 X11 Unauthorized Remote Forwarding

High

Synopsis

The remote host is vulnerable to a flaw that allows attackers to retrieve sensitive files or data.

Description

The remote host is running OpenSSH SSH client older than 2.3.0. This version does not properly disable X11 or agent forwarding, which could allow a rogue SSH server to gain access to the X11 display of the client and eavesdrop X11 events.

Note: PVS has solely relied on the banner of the SSH client to perform this check. Any backported patches or workarounds such as recompiling or edited configurations are not observable through the banner.

Solution

Upgrade to version 2.3.0 or higher.